Package org.codehaus.groovy.control.customizers

# Class CompilationCustomizer

java.lang.Object
org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation
org.codehaus.groovy.control.customizers.CompilationCustomizer

Direct Known Subclasses:
  `DelegatingCustomizer`, `ImportCustomizer`, `SecureASTCustomizer`

public abstract class CompilationCustomizer extends CompilationUnit.PrimaryClassNodeOperation
Users wanting to customize the configuration process such as adding imports, restricting the language features or apply AST transformations by default should implement this class, then call the `CompilerConfiguration.addCompilationCustomizers(CompilationCustomizer...)` method.

Since:
  1.8.0
Author:
  Cedric Champeau

## Constructor Summary

Constructors
Constructor
Description
`CompilationCustomizer(CompilePhase phase)`

## Method Summary

Modifier and Type
Method
Description
`CompilePhase`
`getPhase()`

### Methods inherited from class org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation

`call, needSortedInput`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CompilationCustomizer

public CompilationCustomizer(CompilePhase phase)

## Method Details

### getPhase

public CompilePhase getPhase()